# Shipping Methods

## GraphQL partial SDLs

This is a graphql reference page. In the llms.txt variant, those components link to the shared partial SDL key list instead of trying to resolve inline GraphQL reference content.

Fetch all available partial SDL keys first:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:returnTypesList
```

Then fetch the one or more relevant partial SDL with a key from that list by calling the same endpoint with a schema ID:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:schema:<key>
```

The response body is a JSON object keyed by the requested content ID. For example, the key-list request returns a `ctp:gql-sphere:returnTypesList` field and a schema request returns a `ctp:gql-sphere:schema:<key>` field.

**Queries and mutations for managing Shipping Methods in the platform.**

## Queries

### Query Shipping Methods

[fetch SDL for query shippingMethods](#graphql-partial-sdls).

### Get Shipping Method

[fetch SDL for query shippingMethod](#graphql-partial-sdls).

### Get Shipping Methods By Cart

[fetch SDL for query shippingMethodsByCart](#graphql-partial-sdls).

### Get Shipping Methods By Location

[fetch SDL for query shippingMethodsByLocation](#graphql-partial-sdls).

## Mutations

### Create Shipping Method

[fetch SDL for mutation createShippingMethod](#graphql-partial-sdls).

### Update Shipping Method

[fetch SDL for mutation updateShippingMethod](#graphql-partial-sdls).

### Delete Shipping Method

[fetch SDL for mutation deleteShippingMethod](#graphql-partial-sdls).

## Output types

### ShippingMethod

[fetch SDL for type ShippingMethod](#graphql-partial-sdls).

### ShippingMethodQueryResult

[fetch SDL for type ShippingMethodQueryResult](#graphql-partial-sdls).

#### ZoneRate

[fetch SDL for type ZoneRate](#graphql-partial-sdls).

#### ShippingRate

[fetch SDL for type ShippingRate](#graphql-partial-sdls).

#### ShippingRatePriceTier

[fetch SDL for type ShippingRatePriceTier](#graphql-partial-sdls).

##### ShippingRateCartValuePriceTier

[fetch SDL for type ShippingRateCartValuePriceTier](#graphql-partial-sdls).

##### ShippingRateCartScorePriceTier

[fetch SDL for type ShippingRateCartScorePriceTier](#graphql-partial-sdls).

##### ShippingRateCartClassificationPriceTier

[fetch SDL for type ShippingRateCartClassificationPriceTier](#graphql-partial-sdls).

## Input types

### ShippingMethodDraft

[fetch SDL for type ShippingMethodDraft](#graphql-partial-sdls).

#### ZoneRateDraft

[fetch SDL for type ZoneRateDraft](#graphql-partial-sdls).

#### ShippingRateDraft

[fetch SDL for type ShippingRateDraft](#graphql-partial-sdls).

#### ShippingRatePriceTierDraft

[fetch SDL for type ShippingRatePriceTierDraft](#graphql-partial-sdls).

### ShippingMethodUpdateAction

[fetch SDL for type ShippingMethodUpdateAction](#graphql-partial-sdls).

### Update actions

#### Add Store

[fetch SDL for type AddShippingMethodStore](#graphql-partial-sdls).

#### Add Shipping Rate

[fetch SDL for type AddShippingMethodShippingRate](#graphql-partial-sdls).

#### Add Zone

[fetch SDL for type AddShippingMethodZone](#graphql-partial-sdls).

#### Change Active

[fetch SDL for type ChangeShippingMethodActive](#graphql-partial-sdls).

#### Change Is Default

[fetch SDL for type ChangeShippingMethodIsDefault](#graphql-partial-sdls).

#### Change Name

[fetch SDL for type ChangeShippingMethodName](#graphql-partial-sdls).

#### Change Tax Category

[fetch SDL for type ChangeShippingMethodTaxCategory](#graphql-partial-sdls).

#### Remove Store

[fetch SDL for type RemoveShippingMethodStore](#graphql-partial-sdls).

#### Remove Shipping Rate

[fetch SDL for type RemoveShippingMethodShippingRate](#graphql-partial-sdls).

#### Remove Zone

[fetch SDL for type RemoveShippingMethodZone](#graphql-partial-sdls).

#### Set Carrier

[fetch SDL for type SetShippingMethodCarrier](#graphql-partial-sdls).

#### Set Custom Field

[fetch SDL for type SetShippingMethodCustomField](#graphql-partial-sdls).

#### Set Custom Type

[fetch SDL for type SetShippingMethodCustomType](#graphql-partial-sdls).

#### Set Description

[fetch SDL for type SetShippingMethodDescription](#graphql-partial-sdls).

#### Set Key

[fetch SDL for type SetShippingMethodKey](#graphql-partial-sdls).

#### Set Localized Description

[fetch SDL for type SetShippingMethodLocalizedDescription](#graphql-partial-sdls).

#### Set Localized Name

[fetch SDL for type SetShippingMethodLocalizedName](#graphql-partial-sdls).

#### Set Predicate

[fetch SDL for type SetShippingMethodPredicate](#graphql-partial-sdls).

#### Set Stores

[fetch SDL for type SetShippingMethodStores](#graphql-partial-sdls).

## Related pages

- [Search documentation and API specs](/search.md)